tut::restartable_wrapper Class Reference

Restartable test runner wrapper. More...

`#include <tut_restartable.h>`

## Public Member Functions

| restartable_wrapper (const std::string &dir=".")
| Default constructor. More...
void | register_group (const std::string &name, group_base *gr)
| Stores another group for getting by name. More...
void | set_callback (callback *cb)
| Stores callback object. More...
callback & | get_callback () const
| Returns callback object. More...
groupnames | list_groups () const
| Returns list of known test groups. More...
void | run_tests () const
| Runs all tests in all groups. More...

## Detailed Description

Restartable test runner wrapper.

## Constructor & Destructor Documentation

## restartable_wrapper()

tut::restartable_wrapper::restartable_wrapper | ( | const std::string & | dir = `"."` | ) |

inline

Default constructor.

Parameters

  dir | Directory where to search/put log and journal files

## Member Function Documentation

## get_callback()

callback& tut::restartable_wrapper::get_callback | ( |  | ) | const

inline

Returns callback object.

References tut::test_runner::get_callback().

## list_groups()

groupnames tut::restartable_wrapper::list_groups | ( |  | ) | const

inline

Returns list of known test groups.

References tut::test_runner::list_groups().

Referenced by run_tests().

## register_group()

void tut::restartable_wrapper::register_group | ( | const std::string & | name,
|  | group_base * | gr
| ) |  |

inline

Stores another group for getting by name.

References tut::test_runner::register_group().

## run_tests()

void tut::restartable_wrapper::run_tests | ( |  | ) | const

inline

Runs all tests in all groups.

References list_groups(), and tut::test_runner::run_test().

## set_callback()

void tut::restartable_wrapper::set_callback | ( | callback * | cb | ) |

inline

Stores callback object.

The documentation for this class was generated from the following file:

- tut_restartable.h